列出 identityProvider

命名空间:microsoft.graph

获取为租户配置的、派生自 identityProviderBase的标识提供程序资源的集合。

对于租户Azure AD,提供程序可以是socialIdentityProvidersbuiltinIdentityProviders对象。

对于 Azure AD B2C,提供程序可以是socialIdentityProviderappleManagedIdentityProvider对象。

Permissions

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) IdentityProvider.Read.All、IdentityProvider.ReadWrite.All
委派(Microsoft 个人帐户) 不支持。
应用程序 IdentityProvider.Read.All、IdentityProvider.ReadWrite.All

工作或学校帐户需要属于以下角色之一:

  • 全局管理员
  • 外部标识提供程序管理员
  • 外部 ID 用户流管理员

HTTP 请求

GET /identity/identityProviders

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法在 Azure AD 租户的响应正文中返回 响应代码和 200 OK socialIdentityProviderbuiltinIdentityProvider对象集合。

对于 Azure AD B2C 租户,此方法在响应正文中返回 响应代码和 200 OK socialIdentityProviderappleManagedIdentityProvider对象的集合。

示例

示例 1:列出在租户中配置的所有标识Azure AD资源

请求

下面展示了示例请求。

GET https://graph.microsoft.com/v1.0/identity/identityProviders

响应

下面展示了示例响应。

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
   "@odata.context": "https://graph.microsoft.com/v1.0/$metadata#identity/identityProviders",
   "value":[
      {
         "@odata.type": "microsoft.graph.builtInIdentityProvider",
         "id": "MSASignup-OAUTH",
         "identityProviderType": "MicrosoftAccount",
         "displayName": "MicrosoftAccount"
      },
      {
         "@odata.type": "#microsoft.graph.socialIdentityProvider",
         "id": "Facebook-OAUTH",
         "displayName": "Facebook",
         "identityProviderType": "Facebook",
         "clientId": "test",
         "clientSecret": "******"
      }
   ]
}

示例 2:列出在 B2C 租户中配置的所有Azure AD提供程序资源

请求

下面展示了示例请求。

GET https://graph.microsoft.com/v1.0/identity/identityProviders

响应

下面展示了示例响应。

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-type: application/json

{
    "@odata.context": "https://graph.microsoft.com/v1.0/$metadata#identity/identityProviders",
    "value": [
        {
            "@odata.type": "#microsoft.graph.socialIdentityProvider",
            "id": "LinkedIn-OAUTH",
            "displayName": "linkedin",
            "identityProviderType": "LinkedIn",
            "clientId": "866xc0qtyy00ih",
            "clientSecret": "******"
        },
{
            "@odata.type": "#microsoft.graph.appleManagedIdentityProvider",
            "id": "Apple-Managed-OIDC",
            "displayName": "Sign in with Apple",
            "developerId": "UBF8T346G9",
            "serviceId": "com.microsoft.aad.b2c.iuyt.client",
            "keyId": "99P6DD87C4",
            "certificateData": "******"
        }
    ]
}